Subject: Re: git log -g bizarre behaviour

From: Dennis Kaarsemaker <[email-masked]>
Date: Tue, 02 Feb 2016 21:22:12 +0100

On di, 2016-02-02 at 11:32 -0800, Junio C Hamano wrote:
> Dennis Kaarsemaker <[email-masked]> writes:
> 
> > On ma, 2016-02-01 at 15:37 -0800, Junio C Hamano wrote:
> > 
> > > Do you mean
> > > 
> > > 	$ git checkout -b testing
> > >         $ rm -f .git/logs/refs/heads/testing
> > >         $ git log -g testing
> > > 
> > > will be changed from a silent no-op to an abort with error?
> > > 
> > > I do not see a need for such a change--does that count as an
> > > objection?
> > 
> > No, I'd like to change:
> > 
> > $ ls .git/logs/refs/tags/v2.7.0
> > ls: cannot access .git/logs/refs/tags/v2.7.0: No such file or
> > directory
> > $ git (log -g|reflog) v2.7.0
> > From the bizarre behaviour above to a silent noop.
> 
> When there is nothing to show, we do not show anything, 

As I demonstrated in the text that you cut: that is not true.
git log -g v2.7.0 and git reflog v2.7.0 are *not* silent, but buggy. I
would like to make them silent.

> and that is just like "git log v2.7.0..v2.7.0" is silent.
> 
> I do not find the silence bizarre at all.

I'll take that as an agreement then :)
-- 
Dennis Kaarsemaker
www.kaarsemaker.net